<?php

session_start();

include('../../path.php');

require_once(ROOT_CONTROLLER.'perfil.php');

$Obj_perfil = new perfil();

require_once(ROOT_CHARACTER_FIX);

//require_once($context_usuario.'bussines/fix_characters.php');

$Obj_fix_characters = new fix_characters();



$action=!empty($_REQUEST['action'])?$_REQUEST['action']:'';

$pagina=!empty($_REQUEST['pagina'])?$_REQUEST['pagina']:'';

$_ScrollTo=!empty($_REQUEST['_ScrollTo'])?$_REQUEST['_ScrollTo']:'';



if (!empty($_POST))

{

    $Id_Usuarior=!empty($_REQUEST['Id_Usuarior'])?$_REQUEST['Id_Usuarior']:'';

  $Id_Loginr=!empty($_REQUEST['Id_Loginr'])?$_REQUEST['Id_Loginr']:'';

   $Id_Fk_Login=!empty($_REQUEST['Id_Fk_Login'])?$_REQUEST['Id_Fk_Login']:'';

   $Usu_Img_Perfil=!empty($_REQUEST['Usu_Img_Perfil'])?$_REQUEST['Usu_Img_Perfil']:'';

   $Usu_Nombre=!empty($_REQUEST['Usu_Nombre'])?$_REQUEST['Usu_Nombre']:'';

   $Usu_Apaterno=!empty($_REQUEST['Usu_Apaterno'])?$_REQUEST['Usu_Apaterno']:'';

   $Usu_Amaterno=!empty($_REQUEST['Usu_Amaterno'])?$_REQUEST['Usu_Amaterno']:'';

   $Usu_Fecha_Nacimiento=!empty($_REQUEST['Usu_Fecha_Nacimiento'])?$_REQUEST['Usu_Fecha_Nacimiento']:'';

   $Id_Fk_Rol=!empty($_REQUEST['Id_Fk_Rol'])?$_REQUEST['Id_Fk_Rol']:'';

   $Titulo_Rol_Fk=!empty($_REQUEST['Titulo_Rol_Fk'])?$_REQUEST['Titulo_Rol_Fk']:'';

   $Usu_Correo=!empty($_REQUEST['Usu_Correo'])?$_REQUEST['Usu_Correo']:'';

   $Usu_Telefono=!empty($_REQUEST['Usu_Telefono'])?$_REQUEST['Usu_Telefono']:'';

   $Usu_Password=!empty($_REQUEST['Usu_Password'])?$_REQUEST['Usu_Password']:'';

   $Usu_Password_Encrypt='';

   $Usu_Activo=!empty($_REQUEST['Usu_Activo'])?$_REQUEST['Usu_Activo']:'';

   $Usu_Cuenta_Verificada=!empty($_REQUEST['Usu_Cuenta_Verificada'])?$_REQUEST['Usu_Cuenta_Verificada']:'';

   $Descripcion=!empty($_REQUEST['Descripcion'])?$_REQUEST['Descripcion']:'';

   $Fecha_Registro=!empty($_REQUEST['Fecha_Registro'])?$_REQUEST['Fecha_Registro']:'';

   $Fecha_Modifico=!empty($_REQUEST['Fecha_Modifico'])?$_REQUEST['Fecha_Modifico']:'';

   

    $Field=!empty($_REQUEST['Field'])?$_REQUEST['Field']:''; 

    $Field=$Obj_fix_characters->fix($Field);

    $Value=!empty($_REQUEST['Value'])?$_REQUEST['Value']:''; 

    $Value=$Obj_fix_characters->fix($Value);



}    



switch ($action) {



    case 'campos':

        try{

            $Obj_usuario->update_field_usuario($Field,$Value,$Id_Usuarior);

            //$locations="Location: ./#$Id_Usuarior";

            //header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;



    

    case 'editar-perfil':



        try{

            if ($Usu_Img_Perfil!='') {

                    $tamano = $_FILES ['usu_img_perfil_file']['size'];

                    if ($tamano>0) 

                    {

                        if (strpos($_FILES["usu_img_perfil_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['usu_img_perfil_file']['tmp_name'], $Usu_Img_Perfil);

                        }

                    }

                }

                else

                {

                    $tamano = $_FILES ['usu_img_perfil_file']['size'];

                    if ($tamano>0) 

                    {

                    // Creamos la cadena aletoria para la imagen.

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    // Fin de la creacion de la cadena aletoria 

                    $tamano = $_FILES ['usu_img_perfil_file']['size']; // Leemos el tamano del fichero 

                    $tamano_max="50000000000"; // tamano maximo permitido 

                    // echo $tamano;

                    if( $tamano < $tamano_max){ // Comprovamos el tamano  

                        $destino = '../../../img_perfil' ; // Carpeta donde se guarda                    

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["usu_img_perfil_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["usu_img_perfil_file"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                            try {

                                if ($tamano>0){

                                // se comentaron para que le cambie el nombre a la nueva imagen.

                                    move_uploaded_file ($_FILES ['usu_img_perfil_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                                 // Subimos el archivo                          

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $logo="";

                        }

                    } else { 

                        $logo="";

                    }

                    if (strlen($tipo)==0) {

                        $logo='';       

                    } else {

                        $logo=$destino.'/'.$cad.'.'.$tipo;      

                    }

                }

                    //termina algoritmo de carga de imagen.

                    $Usu_Img_Perfil=str_replace('../','',$logo);    

                }

             $Obj_perfil->update_perfil($Id_Usuarior, $Id_Loginr, $Usu_Img_Perfil, $Usu_Nombre, $Usu_Apaterno, $Usu_Amaterno, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Descripcion);

             $_SESSION['Login_Nombre_appquadrata']=$Usu_Nombre." ".$Usu_Apaterno." ".$Usu_Amaterno;

             $_SESSION['Login_Img_Perfil_appquadrata']=$Usu_Img_Perfil;

             $_SESSION['Rol_appquadrata']=$Id_Fk_Rol;

             $_SESSION['Titulo_Rol_Fkappquadrata']=$Titulo_Rol_Fk;

             $locations="Location: ../vista/success?Location=perfil";

            header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;

        case 'editar-cuenta':



        try{

           

             $Obj_perfil->update_cuenta($Id_Usuarior, $Id_Loginr, $Usu_Password, $Usu_Password_Encrypt);

             $_SESSION['Login_Password_appquadrata']=$Usu_Password;

              $locations="Location: ../vista/success?Location=cuenta";

            header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;

        case 'eliminar':           

                try{

              $Obj_perfil->delete_usuario($Id_Usuarior);

                 $locations ="Location: ./";

                 header($locations);

                }

        

                catch (Exception $e) {

                    echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

                }  



        break;



}

?>